summaryrefslogtreecommitdiff
path: root/test/navigation/script/test-all
diff options
context:
space:
mode:
Diffstat (limited to 'test/navigation/script/test-all')
-rwxr-xr-xtest/navigation/script/test-all94
1 files changed, 60 insertions, 34 deletions
diff --git a/test/navigation/script/test-all b/test/navigation/script/test-all
index f762500..f5350af 100755
--- a/test/navigation/script/test-all
+++ b/test/navigation/script/test-all
@@ -1,45 +1,71 @@
#!/bin/bash
export PYTHONIOENCODING=utf-8
+verbose=0
-result="$(./test-location-input.py -l ../resource/locations.xml 2>&1 >/dev/null)"
-echo $result
-if [[ $result != *"PASSED"* ]]; then
- exit 1
-fi
+while getopts hv opt
+do
+ case $opt in
+ v)
+ verbose=1
+ ;;
+ h)
+ echo "Usage:"
+ echo "-h: Help"
+ echo "-v: Verbose"
+ exit 1
+ esac
+done
-result="$(./test-address-input.py -l ../resource/location.xml 2>&1 >/dev/null)"
-echo $result
-if [[ $result != *"PASSED"* ]]; then
- exit 1
-fi
+if [ "$verbose" = 1 ]
+then
+ ./test-location-input.py -l ../resource/locations.xml
+ ./test-address-input.py -l ../resource/location.xml
+ ./test-route-calculation.py -r ../resource/routes.xml
+ ./test-poi.py -l ../resource/location.xml -s "sChü"
+ ./test-poi-guidance.py -l ../resource/location-poi.xml -s "cOnT"
+ ./test-guidance.py -r ../resource/route.xml
+ ./test-map-viewer-control.py -l ../resource/location.xml
+else
+ result="$(./test-location-input.py -l ../resource/locations.xml 2>&1 >/dev/null)"
+ echo $result
+ if [[ $result != *"PASSED"* ]]; then
+ exit 1
+ fi
-result="$(./test-route-calculation.py -r ../resource/routes.xml 2>&1 >/dev/null)"
-echo $result
-if [[ $result != *"PASSED"* ]]; then
- exit 1
-fi
+ result="$(./test-address-input.py -l ../resource/location.xml 2>&1 >/dev/null)"
+ echo $result
+ if [[ $result != *"PASSED"* ]]; then
+ exit 1
+ fi
-result="$(./test-poi.py -l ../resource/location.xml -s "sChü" 2>&1 >/dev/null)"
-echo $result
-if [[ $result != *"PASSED"* ]]; then
- exit 1
-fi
+ result="$(./test-route-calculation.py -r ../resource/routes.xml 2>&1 >/dev/null)"
+ echo $result
+ if [[ $result != *"PASSED"* ]]; then
+ exit 1
+ fi
-result="$(./test-poi-guidance.py -l ../resource/location-poi.xml -s "cOnT" 2>&1 >/dev/null)"
-echo $result
-if [[ $result != *"PASSED"* ]]; then
- exit 1
-fi
+ result="$(./test-poi.py -l ../resource/location.xml -s "sChü" 2>&1 >/dev/null)"
+ echo $result
+ if [[ $result != *"PASSED"* ]]; then
+ exit 1
+ fi
-result="$(./test-guidance.py -r ../resource/route.xml 2>&1 >/dev/null)"
-echo $result
-if [[ $result != *"PASSED"* ]]; then
- exit 1
-fi
+ result="$(./test-poi-guidance.py -l ../resource/location-poi.xml -s "cOnT" 2>&1 >/dev/null)"
+ echo $result
+ if [[ $result != *"PASSED"* ]]; then
+ exit 1
+ fi
+
+ result="$(./test-guidance.py -r ../resource/route.xml 2>&1 >/dev/null)"
+ echo $result
+ if [[ $result != *"PASSED"* ]]; then
+ exit 1
+ fi
-result="$(./test-map-viewer-control.py -l ../resource/location.xml 2>&1 >/dev/null)"
-echo $result
-if [[ $result == *"PASSED"* ]]; then
- echo "Batch test PASSED"
+ result="$(./test-map-viewer-control.py -l ../resource/location.xml 2>&1 >/dev/null)"
+ echo $result
+ if [[ $result == *"PASSED"* ]]; then
+ echo "Batch test PASSED"
+ fi
fi